Tool: read_text
Reads non-binary text content from an object.
The following example shows how to use curl to invoke the read_text MCP tool:
| Curl request |
|---|
curl --location 'https://storage.googleapis.com/storage/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "read_text", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input schema
Request message for ReadText.
ReadTextRequest
| JSON representation |
|---|
{ "bucketName": string, "objectName": string } |
| Fields | |
|---|---|
bucketName |
Required. Cloud Storage bucket name. |
objectName |
Required. The name of the object. |
Output schema
Response message for ReadText.
ReadTextResponse
| JSON representation |
|---|
{ "bucketName": string, "objectName": string, "size": string, "content": string } |
| Fields | |
|---|---|
bucketName |
The name of the bucket. |
objectName |
The name of the object. |
size |
|
content |
|
Tool Annotations
Destructive hint: ❌ | Idempotent hint: ✅ | Read-only hint: ✅ | Open-world hint: ❌